Subject: Re: [Detnet] Martin Duke's No Objection on draft-ietf-detnet-mpls-11: (with COMMENT)

From: Balázs Varga A <[email-masked]>
Date: Fri, 4 Sep 2020 13:07:14 +0000

Hi Martin,

Many thanks for the review and the comments. Regarding:
- OAM:
4.2 deals with the MPLS data lane encapsulation with focus on the DetNet Flow encapsulation. 
OAM indication has a dedicated section (4.3), therefore not covered in 4.2.1. and only mentioned
in section 4.2.
We have a dedicated WG document to cover DN MPLS OAM (work is ongoing, including dealing 
with PREOF):
https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls-oam/. 

- PEF, POF design:
Right, this is an implementation specific question. Implementation may have for example 
an "history window" (defining how many sequence numbers are checked/stored) per flow. 
The bigger the "history window" the more states/packets must be stored. Furthermore, the 
size of the history window depends on DetNet Flow characteristics, network Topology, 
PREOF design, etc. Clearing rules for such a history window are network scenario and 
implementation specific, therefore not defined in the draft.

I hope these clarifies your comments.

Thanks & Cheers
Bala'zs

-----Original Message-----
From: Martin Duke via Datatracker <[email-masked]> 
Sent: Saturday, August 29, 2020 4:57 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Ethan Grossman <[email-masked]>; [email-masked]
Subject: Martin Duke's No Objection on draft-ietf-detnet-mpls-11: (with COMMENT)

Martin Duke has entered the following ballot position for
draft-ietf-detnet-mpls-11: No Objection

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I found the position of the OAM indicator to be somewhat confusing.  4.2 says it happens in the d-cw layer but there is no mentioning of it in the corresponding section, 4.2.1, instead buried in the S-label text.

More importantly, it is correct that an OAM packet cannot test the PREOF functions because it does not have a d-cw, and therefore no sequence number? If so, that seems like a significant capability gap.

4.2.2. I would like to see some guidance for the POF and PEF as to how long it should store observed sequence numbers. This would appear to be one of the harder design decisions in the space, and some general principles would be helpful. For example, are there certain latency guarantees in the Detnet, so that after some time the sequence number can be safely discarded?